curl --request POST \
--url https://deepface-cyybxg.fly.dev/compare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_name": "Facenet",
"vector": [
123
]
}
'{
"model_name": "<string>",
"metric": "cosine",
"source": {
"type": "image",
"vector_length": 123,
"face_index": 123
},
"results": [
{
"index": 123,
"distance": 123,
"id": "<string>",
"match": true
}
],
"threshold": 123,
"best_match": {
"index": 123,
"distance": 123,
"id": "<string>",
"match": true
}
}curl --request POST \
--url https://deepface-cyybxg.fly.dev/compare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_name": "Facenet",
"vector": [
123
]
}
'{
"model_name": "<string>",
"metric": "cosine",
"source": {
"type": "image",
"vector_length": 123,
"face_index": 123
},
"results": [
{
"index": 123,
"distance": 123,
"id": "<string>",
"match": true
}
],
"threshold": 123,
"best_match": {
"index": 123,
"distance": 123,
"id": "<string>",
"match": true
}
}Use your API key as a bearer token.
Optional UUID used for request tracing.
"Facenet"
Base64 image payload or data URL.
cosine, euclidean, euclidean_l2 cosine, euclidean, euclidean_l2